
=== 1896jumpTo3dot0-bf.cs ===
Change Set:		jumpTo3dot0-bf
Date:			21 February 2008
Author:			Bert Freudenberg

Jump to version 3.0

=== 1895fixCondensing.cs ===
Change Set:		fixCondensing
Date:			24 February 2008
Author:			Yoshiki Ohshima

Fix condensing changes and sources.

=== 1894setSqLandFont-yo.cs ===

=== 1893toggleFullScrn3and13-yo.cs ===
Change Set:		toggleFullScreen3and13-yo
Date:			6 February 2008
Author:			Yoshiki Ohshima

Both Enter and Carriage Return work for toggling full screen (i.e, showing and hiding sugar bar).

ParagraphEditor is unchanged to keep the possible Ctrl-Enter feature in text.

=== 1892manifestFixHack-yo.cs ===
Change Set:		manifestFixHack-yo
Date:			5 February 2008
Author:			Yoshiki Ohshima

A workaround of multi-line value in manifest.  In the future, the values should be nicely quoted before somebody finds a real use of the file.

=== 1891FixDismissViaSel-yo.cs ===
Change Set:		FixDismissViaSelection-yo
Date:			1 February 2008
Author:			Yoshiki Ohshima

If you delete multiple objects with SelectionMorph, the reference to the NewHandleMorph remains in hand and the block stored in NewHandleMorph causes a problem.  This changeset clears them upon deleting the handle.

=== 1890scaleSugar-bf.cs ===
Change Set:		scaleSugar-bf
Date:			1 February 2008
Author:			Bert Freudenberg

If running in emulated Sugar (not 1200x900), enable screen scaling on startup (Trac #5507).

=== 1889TextFixJan30Again-yo.cs ===
Change Set:		TextFixJan30Again-yo
Date:			30 January 2008
Author:			Yoshiki Ohshima

Revert the previous change and fix the null text case in a different way.  It still would be nice if we don't refer to text in #fit, though...

=== 1888initialClipboard-yo.cs ===
Change Set:		initialClipboard-yo
Date:			30 January 2008
Author:			Yoshiki Ohshima

set the initial contents of clipboard (that causes a problem when the morph is rendered onto a canvas before showing up on screen).

=== 1887NarrowTab-tk.cs ===
Change Set:		NarrowTab-tk
Date:			30 January 2008
Author:			Ted Kaehler

The Tabs were all too wide.

Undo update 1870defaultLineHeight that made all TextMorphs very wide.  If more than 2 characters, let it be as narrow as it wants.

=== 1886docksFix-sw.cs ===
Change Set:		docksFix-sw
Date:			29 January 2008
Author:			Scott Wallace

Fix for TRAC 6265 - hitting tab within scripted world causes error.

Removes an obscure dependency on a disused feature which was blocking some uses of the tab key.

=== 1885resumeFix2-bf.cs ===
Change Set:		resumeFix2-bf
Date:			29 January 2008
Author:			Bert Freudenberg

Fix resuming non-projects - must not modify the original journal entry (Trac #5348)

=== 1884TTObjForStream-yo.cs ===
Change Set:		TTObjForStream-yo
Date:			29 January 2008
Author:			Yoshiki Ohshima

True Type font rework around 1862 broke the saving TrueType banner.

=== 1883NoDragGuide-tk.cs ===
Change Set:		NoDragGuide-tk
Date:			28 January 2008
Author:			Ted Kaehler

In a normal book, you can pick up the entire book by its page controls.  Override this for QuickGuideMorph.

=== 1882parameterTileSuffix-sw.cs ===
Change Set:		parameterTileSuffix-sw
Date:			25 January 2008
Author:			Scott Wallace

Fix for TRAC 6197:  Make a script with one argument, add a 'forwardBy:' tile. Drop the 'number' argument into the forward tile, then click the right expand arrow. The 'number' argument tile is replaced by a value tile containing '1'

=== 1881moPath-KR.cs ===
Change Set:		moPath-KR
Date:			19 December 2007
Author:			Korakurider

Search path for translation data (*.mo) can be specified by startup parameter 'MO_PATH'. 
With this each activity bundle can provide private translation in its directory tree.
e.g.
       etoys -document proj.pr 
		MO_PATH $SUGAR_ACTIVITY_ROOT/lang
		$args

Note that in this case MO has to be under:
	$SUGAR_ACTIVITY_ROOT/lang/<lang_code>/LC_MESSAGES


=== 1880rainbowKey2-bf.cs ===
Change Set:		rainbowKey2-bf
Date:			25 January 2008
Author:			Bert Freudenberg

The rainbow sandbox moved - this caused the key to be generated even in rainbow

=== 1879GuideUnderPaint-tk.cs ===
Change Set:		GuideUnderPaint-tk
Date:			25 January 2008
Author:			Ted Kaehler

When a new SketchMorphEditor overlaps the Next Page button of an open Help Guide, a new user will get confused.  There is no easy way to get to the next page of help.
	We duplicate the button, and add it to the SketchMorphEditor.  It works and sits in front of the paint area.  Goes away when paint session is closed.

=== 1878ResumeMidi-yo.cs ===
Change Set:		ResumeMidi-yo
Date:			25 January 2008
Author:			Yoshiki Ohshima

Make resuming a .mid file or a file with audio/midi type from Journal work.

=== 1877NoUpdateInRelease-tak.cs ===
Change Set:		NoUpdateBeforeRelease-tak
Date:			22 January 2008
Author:			Takashi Yamamiya

ReleaseBuilderSqueakland doesn't load code updates automatically
because Yoshiki doesn't like one step build (The Joel Test #2).

=== 1876xobundle2-bf.cs ===
Change Set:		xobundle2-bf
Date:			22 January 2008
Author:			Bert Freudenberg

Create bundle compatible with more etoys versions, and care for non-ascii chars in filenames

=== 1875xoBundle-bf.cs ===
Change Set:		xoBundle-bf
Date:			17 January 2008
Author:			Bert Freudenberg

Make an OLPC XO bundle. To use, select a .pr or .st file in file list and choose 'make XO bundle' which will be placed in the default directory. The created bundle will only run correctly in an image that has this changeset loaded.

=== 1874dropFix-bf.cs ===

=== 1873GuideToWeb-tk.cs ===
Change Set:		GuideToWeb-tk
Date:			4 January 2008
Author:			Ted Kaehler

Code that writes out the QuickGuides as web pages.  User will then move manually them to:
http://tinlizzie.org/olpc/QG-web/
Some Guides will need new .jpeg images of their pages.  The other guides will need the index in the left sidebar updated.  Call to write all Guides including page images.  Also call to write a few Guides, and correct the index of the rest.

Creates the text of an index page.  User can install it at: 
http://wiki.laptop.org/go/Etoys_QuickGuides_Index

Also, all digits at the end of Guide names are removed.

=== 1872TranslateGuide-tk.cs ===
Change Set:		TranslateGuide-tk
Date:			6 January 2008
Author:			Ted Kaehler

Code for translating all text in a Guide to another language when the Guide is loaded from disk.  

This is just the code.  It is not turned on.  More work is needed on the speed.

=== 1871spanWorld-tk.cs ===
Change Set:		spanWorld-tk
Date:			6 January 2008
Author:			Ted Kaehler

If you set Flaps > Supplies to false on via the World menu, there is an error reentering the project (or saving image).  This is a fix.

=== 1870defaultLineHeight-kfr.cs ===
Change Set:		TextMorph defaultLineHeight
Date:			2 December 2007
Author:			Karl Ramberg

When all chars in a TextMorph was deleted the morph would become tiny. Here is a fix. This fix is not tested very much 

=== 1869latin1PathEncoding-yo.cs ===
Change Set:		latin1DefaultPathEncoding-yo
Date:			1 January 2008
Author:			Yoshiki Ohshima

Change the default path encoding to UTF8.

=== 1868avoidUnCamel-yo.cs ===
Change Set:		avoidUnCamel-yo
Date:			1 January 2008
Author:			Yoshiki Ohshima

KedamaPatchMorph had a simple pop up help phrases that happen to be the same as the cameled selectors for them.  Uncameling these selectors for displaying caused a trouble because the translation for a selector is searched by the uncameled phrase and there may be already one for the help.  To avoid this, the help strings for some selectors are changed. 

=== 1867ChatBiggerFont-yo.cs ===
Change Set:		ChatBiggerFont-yo
Date:			27 December 2007
Author:			Yoshiki Ohshima

Use bigger font for text chat.

=== 1866TextNumericValue-yo.cs ===
Change Set:		TextNumericValue-yo
Date:			25 December 2007
Author:			Yoshiki Ohshima

numeric value of Text is smarter now.

Etoys shouldn't expose Fraction values.  It does a good job in most cases, but when you store a fraction to the numeric value of a text, it shows the fraction value.  The setter rounds the value when stored.  The decimal places property is used to decide the number of digits after the decimal point.  The property is usually associated with the setter, but it is still conceptually ok, because setting the numeric value of text is getting the value and converting it to the user visible form.

=== 1865MOmagicNo-KR.cs ===
Change Set:		MOmagicNo-KR
Date:			22 December 2007
Author:			Korakurider

fix typo of magic no of gettext MO file.

=== 1864SugarNav24-yo.cs ===
Change Set:		SugarNav24-yo
Date:			24 December 2007
Author:			Yoshiki Ohshima

Put findButton but make it invisible in Sugar.

=== 1863DelayedStopButton-yo.cs ===

=== 1862TTCFontObjStream-yo.cs ===
Change Set:		TTCFontObjStream-yo
Date:			24 December 2007
Author:			Yoshiki Ohshima

For now, restore the backward compatibility of the user of an instance creation method.

=== 1861RestoreSocketRemoved.cs ===
Change Set:		RestoreSocketRemovedMethods
Date:			30 September 2007
Author:			Masashi Umezawa

For backward compatibility. (Especially to support KomServices in OLPC image).

=== 1860ButtonFormDepthFix-yo.cs ===
Change Set:		ButtonFormDepthFix-yo
Date:			21 December 2007
Author:			Yoshiki Ohshima

1855ButtonFormFix modified forms in form translator for Japanese wronly.

=== 1859arithErrorTweaks-sw.cs ===
Change Set:		arilthErrorTweaks-sw
Date:			20 December 2007
Author:			Scott Wallace

A few tweaks to run-time-arithmetic-error handling:
*  Allow cube-root of negative number.
*  Insert some missing #translated calls in #reportToUser: error msgs
*  Put up proper error msg when arg of factorial is inappropriate.


=== 1858EtoyNotifier-yo.cs ===

=== 1857SqueaklandConfig-yo.cs ===
Change Set:		SqueaklandConfig-yo
Date:			19 December 2007
Author:			Yoshiki Ohshima

Use #usePopUpArrows preferences and also use dark green for navigator's color.

=== 1856NoNoHaloMorph-yo.cs ===
Change Set:		NoNoHaloMorph-yo
Date:			19 December 2007
Author:			Yoshiki Ohshima

Remove the uses of NoHaloMorph, as the Morph now have dynamic property for it.

SugarBar now uses eToyFriendly to see if it should show handles for its submorphs and itself.

=== 1855ButtonFormDepth-yo.cs ===
Change Set:		ButtonFormDepth-yo
Date:			19 December 2007
Author:			Yoshiki Ohshima

Adjust the depth of pre-made forms for buttons.

=== 1854PrefUsePopUpArrows-tak.cs ===
Change Set:		Unnamed2
Date:			19 December 2007
Author:			Takashi Yamamiya

Ticket #5341: Added a preference #usePopUpArrows.

=== 1853RecordingCtrlsTrans.cs ===
Change Set:		RecordingControlsTranslated
Date:			18 December 2007
Author:			Karl Ramberg with small modification by Yoshiki Ohshima

Make the menu translatable.

=== 1852RecordCtrlCodecNaming2.cs ===
Change Set:		RecordingControlCodecNaming2
Date:			18 December 2007
Author:			Yoshiki Ohshima

Insert #translated to Karl's fix.

=== 1851RelBuilderForSqLand3-yo.cs ===
Change Set:		RelBuilderForSqLand3-yo
Date:			18 December 2007
Author:			Yoshiki Ohshima

Setup the update stream for Squeakland upon building an image for it.

=== 1850RelBuilderForSqLand2-yo.cs ===
Change Set:		RelBuilderForSqLand2-yo
Date:			17 December 2007
Author:			Yoshiki Ohshima

Change the preferences for non-OLPC platforms.

Windows two mouse button setting should bring up halo via right click, but it should be done via the VM setting, not the image side setting.  The initial screen should be blank.

=== 1849stopRecording-KR.cs ===
Change Set:		stopRecording-KR
Date:			3 November 2007
Author:			Korakurider

for Trac #3665 Leaving project does not turn off soundrecorder:
SoundRecorder and VideoMorph will stop on project transition and Squeak's shutdown. 


=== 1848RecordCodecNaming-kfr.cs ===
Change Set:		RecordingControlCodecNaming
Date:			17 December 2007
Author:			Karl Ramberg

This changeset adds end user wording for compression choices eg: 'Vorbis (for music)' etc.

=== 1847WideFindStrngMiniFix-yo.cs ===
Change Set:		WideFindStringMinimumFix-yo
Date:			15 December 2007
Author:			Yoshiki Ohshima

A minimalist fix for the WideString findSubstring issue.

=== 1846headingPrecision-yo.cs ===
Change Set:		headingPrecision-yo
Date:			15 December 2007
Author:			Yoshiki Ohshima

Change the rounding behavior of setHeading:.

Setting heading historically round the value and ignore small changes in angle.However, the rounding and ignoreing are not so small.  This change set attempts to fix the problem.  Since the semantics is changed, some obscure existing projects may change its behavior, but the risk is relatively small.  We will see what the community says.

=== 1845AudioChatGUIUI-yo.cs ===
Change Set:		AudioChatGUIUI-yo
Date:			14 December 2007
Author:			Your Name

Minimum facelift for AudioChatGUI.  The UI is bad, but at least for demo, the buttons and and boxes should be easier to push.

We can just assume push-to-talk model (or better, the telephone model), and set the values for these checkboxes (so we can eliminate them).  Also, these indicators are not needed.  The UI could be different when isRunningInSugar is true or false.

=== 1844PlayerHueFix.cs ===
Change Set:            PlayerHueFix
Date:                   15 December 2007
Author:                 Karl Ramberg

The hue change was applied to the brightness parameter. Fixed here. 

=== 1843UseOriginalName-yo.cs ===
Change Set:		UseOriginalName-yo
Date:			14 December 2007
Author:			Yoshiki Ohshima

Use the base name of the stream for importing graphics as the object name.

=== 1842NoCameraSoundInTrashCan.cs ===
Change Set:		NoCameraTrashCan
Date:			11 December 2007
Author:			Karl Ramberg with postscript fixup by Scott Wallace

TrashCans internal ScrapsBook made a Camera sound for each new page it made for new items dropped. IT WAS QUITE LOUD Fixed here.

=== 1841SugarNav23-yo.cs ===
Change Set:		SugarNav23-yo
Date:			14 December 2007
Author:			Yoshiki Ohshima

Fix next icon.

=== 1840NotWelcome-yo.cs ===
Change Set:		NotWelcome-yo
Date:			13 December 2007
Author:			Yoshiki Ohshima

Don't dive into the launcher project when eToyFriendly is off.

=== 1839ScriptingTileSoundBug.cs ===
Change Set:		ScriptingTileSoundBug
Date:			7 December 2007
Author:			Karl Ramberg

When a SoundTile is dropped in the world the ScriptingTileHolder does not lock it. It seems like a bug to me. At least it makes moving the tile really hard.

=== 1838ComposeNick-yo.cs ===
Change Set:		ComposeNick-yo
Date:			12 December 2007
Author:			Yoshiki Ohshima

Compose decomposed form of Unicode string.

=== 1837GrabAndLassoCursor-yo.cs ===
Change Set:		GrabAndLassoCursor-yo
Date:			12 December 2007
Author:			Yoshiki Ohshima

When you use Grab patch and Lasso, the cursor gets in the way.

=== 1836OpTranslation-yo.cs ===
Change Set:		OpTranslation-yo
Date:			12 December 2007
Author:			Yoshiki Ohshima

Fix a bug when translating the operators.  Now it should be possible to translate * to :, for example.

=== 1835BookPickable-yo.cs ===
Change Set:		BookPickable-yo
Date:			12 December 2007
Author:			Yoshiki Ohshima

A book should be pickable at its title bar, and the sticky bit of the title bar should be honored.

=== 1834FontRegFix-yo.cs ===
Change Set:		FontRegFix-yo
Date:			12 December 2007
Author:			Yoshiki Ohshima

Wrong test method was called.  However, #registerAll should not be needed.

=== 1833SavedUpdateEncoding-yo.cs ===
Change Set:		SavedUpdateEncoding-yo
Date:			12 December 2007
Author:			Yoshiki Ohshima

The locally saved change set should be treated as binary.

=== 1832TTCFontSetFix-yo.cs ===
Change Set:		TTCFontSetFix-yo
Date:			11 December 2007
Author:			Yoshiki Ohshima

Fix more problems with TTCFontSet.

=== 1831AddRussian-yo.cs ===
Change Set:		AddRussian-yo
Date:			11 December 2007
Author:			Yoshiki Ohshima

Add partial Russian support.

=== 1830newLineInGetText-KR.cs ===
Change Set:		newLineInGetText-KR
Date:			12 December 2007
Author:			Korakurider

TRAC#5462:
'\n' in MO is represented as Line feed.
To make gettext emulation work for new line in Squeak's format (i.e. carriage return) , 
all LFs in MO need to be converted to CR.

Test case:

| o t |
o := 'View web page as source
Cancel'.
t := o translated.
inspect t.
self assert: (o ~= t).



=== 1829CP1253Table-yo.cs ===
Change Set:		CP1253Table-yo
Date:			11 December 2007
Author:			Yoshiki Ohshima

CP1253 table specifies the conversion to wrong direction.

=== 1828TTProperReference-yo.cs ===
Change Set:		TTProperReference-yo
Date:			10 December 2007
Author:			Yoshiki Ohshima

Fix multi-level composition in TrueType.

=== 1827sketchColor-sw.cs ===
Change Set:		sketchColor-sw
Date:			10 December 2007
Author:			Scott Wallace

TRAC 5437 - Don't offer the color category in a Sketch's viewer.

=== 1826TTCFontSetRework-yo.cs ===
Change Set:		TTCFontSetRework-yo
Date:			8 December 2007
Author:			Yoshiki Ohshima

Clean up TTCFontSet and friends.  Also supports emphasis for them.

=== 1825GreekInput2-yo.cs ===
Change Set:		GreekInput2-yo
Date:			7 December 2007
Author:			Yoshiki Ohshima

A return symbol was missing.

=== 1824SysVerInPO-KR.cs ===
Change Set:		SysVerInPO-KR
Date:			7 December 2007
Author:			Korakurider

Embed SystemVersion of squeak image in header of exported PO/POT.
This makes it easier to manage how translation version corresponds to  image version 

=== 1823GreekClipboard-yo.cs ===
Change Set:		GreekClipboard-yo
Date:			6 December 2007
Author:			Yoshiki Ohshima

A fix for clipboard access for Greek on Windows.

=== 1822GreekEnviron-yo.cs ===
Change Set:		GreekEnviron-yo
Date:			5 December 2007
Author:			Yoshiki Ohshima

An experimental version of Greek support.

=== 1821UnicodeFntLoading-bf-yo.cs ===
Change Set:		UnicodeFontLoading-bf-yo
Date:			5 December 2007
Author:			Yoshiki Ohshima

Enable to load a part of a large set of font and save it to a file.

=== 1820OrangeSugarBar-yo.cs ===
Change Set:		OrangeSugarBar-yo
Date:			4 December 2007
Author:			Yoshiki Ohshima

Experiment a bar interface for Squeakland-OLPC.

=== 1819SugarNav22-yo.cs ===
Change Set:		SugarNav22-yo
Date:			4 December 2007
Author:			Yoshiki Ohshima

Make the project name field follow resizing and recoloring of bar.  Also mitigates the fill color problem in it.

=== 1818ScriptActButtonLabel.cs ===
Change Set:		ScriptActivationButtonLabel
Date:			1 December 2007
Author:			Karl Ramberg

Set the right font for the new label

=== 1817autoBadge-bf.cs ===
Change Set:		autoBadge-bf
Date:			30 November 2007
Author:			Bert Freudenberg

Automatically pop up badges as buddies join and leave. Needs 3.9.12olpc4 VM to work properly

=== 1816asyncXdnd-tak.cs ===
Change Set:		asyncXdnd-tak
Date:			3 December 2007
Author:			Takashi Yamamiya

Serialize DnD data asynchronously using EventTypeDragDropFiles. This change set fix a but that you can't drag a morph to another window which overlaps on Squeak's window.

This change set only works with Takashi's experimental VM http://squeakvm.org/svn/squeak/branches/takashi-branch/ Revision 1793 I'll merge it to olpc trunc soon. It shoud not harm on other VM, just dnd is ignored.


=== 1815latin1Chars-yo.cs ===

=== 1814IncludeChangeSet-yo.cs ===
Change Set:		IncludeChangeSet-yo
Date:			1 December 2007
Author:			Yoshiki Ohshima

Include changeset by default when saving without interaction.

=== 1813macPasteUTF8-bf.cs ===
Change Set:		macPasteUTF8-bf
Date:			29 November 2007
Author:			Bert Freudenberg

Make pasting unicode strings work on Mac

=== 1812SugarNav21-yo.cs ===
Change Set:		SugarNav21-yo
Date:			28 November 2007
Author:			Yoshiki Ohshima

replace stop icon.

=== 1811CondenseSources-yo.cs ===

=== 1810gapFiller1810.cs ===


=== 1809gapFiller1809.cs ===


=== 1808gapFiller1808.cs ===


=== 1807gapFiller1807.cs ===


=== 1806gapFiller1806.cs ===


=== 1805gapFiller1805.cs ===


=== 1804gapFiller1804.cs ===


=== 1803gapFiller1803.cs ===


=== 1802gapFiller1802.cs ===


=== 1801gapFiller1801.cs ===


=== 1800gapFiller1800.cs ===


=== 1799gapFiller1799.cs ===


=== 1798gapFiller1798.cs ===

